LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 04-13-2012, 12:05 PM   #1
fabe856
Member
 
Registered: Apr 2012
Posts: 109

Rep: Reputation: Disabled
make depend error in crcn installation


Hello all,
During installation of CRCN on ns2.31, i faced the problem in make depend command
$ make depend
make: *** No rule to make target 'wcett/wcett_logs.cc ',needed by depend. Stop.

Please tell me what to do

Regards
Fabe
 
Old 04-13-2012, 01:17 PM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,299

Rep: Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168
Welcome to LQ.

There is an error in the Makefile / Makefile.in ( If I remember right.)

A valid Makefile.in is attached to post #9 here
http://www.linuxquestions.org/questi...31-a-831390/#9

Other crcn threads, examples
http://www.linuxquestions.org/questi...2-31-a-801695/

http://www.linuxquestions.org/questi...ulator-916363/

If you have any further questions : Please specify your Linux OS.
Like CentOS 6, Fedora 16 etc.
http://www.linuxquestions.org/linux/...Ask_a_Question
http://linuxsilo.net/docs/smart-questions_en.html

.
 
Old 04-13-2012, 11:38 PM   #3
fabe856
Member
 
Registered: Apr 2012
Posts: 109

Original Poster
Rep: Reputation: Disabled
Hi,
Thank you for your reply
I replaced the makefile.in as advised.
make depend doesnot show any error now, make command also runs well but at the end shows following error
make[1]: *** [proxytrace2any.o] Error 1

also when I run java -jar crcn.jar
GUI window opens but when I press confirm button it shows following in terminal window
can't open file simsetfile!

I am working on windows 7 and other ns2 programs are running fine.
I have installed jre-6u31-windows-i586-s and gnuplot.

I tried installing ns2.31 in fedora 14 but could not succed so I opted for crcn in windows.

Thank you once again

Fabe
 
Old 04-14-2012, 01:43 AM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,299

Rep: Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168
Quote:
I tried installing ns2.31 in fedora 14 ...
Fedora is the default OS for ns2. Use compat-gcc-34-c++ for ns-2.31:

cd ns-allinone-2.31/ && export CC=gcc34 CXX=g++34 && ./install
 
Old 04-14-2012, 01:58 AM   #5
fabe856
Member
 
Registered: Apr 2012
Posts: 109

Original Poster
Rep: Reputation: Disabled
Thank you,
I will try this in fedora 14.
what about make command in the win7

Regards
 
Old 04-14-2012, 02:09 AM   #6
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,299

Rep: Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168
Quote:
What about make command in the win 7
Which environment is used in win 7 ? Cygwin ?

Make sure that the right compiler is used. gcc-3.4 ? 4.x ?
If you have more than one compiler choice : Just try them all.
 
Old 04-14-2012, 02:20 AM   #7
fabe856
Member
 
Registered: Apr 2012
Posts: 109

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
Make sure that the right compiler is used. gcc-3.4 ? 4.x ?
.
In cygwin/bin it is showing gcc only. Do i need to install some other version.
i was using ns2.29 but added ns 2.31 for crcn only.
Thanks again
 
Old 04-14-2012, 02:36 AM   #8
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,299

Rep: Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168
Never used Cygwin ( Or Windows© ).

Probably do not expect all applications to work in Cygwin.
 
Old 04-14-2012, 11:29 AM   #9
fabe856
Member
 
Registered: Apr 2012
Posts: 109

Original Poster
Rep: Reputation: Disabled
patch command not found error in fedora 14

Hi,
I tried to install ns 2.31 in fedora 14 with following commands
# yum install \ libX11-devel libXext-devel libXau-devel libXmu-devel gcc-c++ (Completed without error)
Copied tk-8.4-lastevent.patch to tk.8.4.14 because there was no tk 8.4.24
patch -p0 < tk-8.4-lastevent.patch (showed command not found)
can i use ./install without patch command

Please reply

Thanks
Fabe
 
Old 04-14-2012, 12:20 PM   #10
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,299

Rep: Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168
The patch "tk-8.4-lastevent.patch" is mostly for nam.
Fedora 14 : Any 'nam' can be used , see post #15 here ..
http://www.linuxquestions.org/questi...5-a-938857/#15

Fedora 14, the patch command : # yum install patch
 
Old 04-14-2012, 12:39 PM   #11
fabe856
Member
 
Registered: Apr 2012
Posts: 109

Original Poster
Rep: Reputation: Disabled
Thanks
./install worked well
./validate (all tests passed)
but when i type ns file name it shows command not found. Similar command is nc
What to do now
Thanks again for Your suggestions
 
Old 04-14-2012, 02:39 PM   #12
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,299

Rep: Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168Reputation: 3168
#11

Installing 'ns' to a system PATH :

cd cd ns-allinone-2.31/ns-2.31/ ; su ; make install


( 'make install' will copy the binary ns to /usr/local/bin/ ).

.
 
Old 04-16-2012, 06:13 AM   #13
fabe856
Member
 
Registered: Apr 2012
Posts: 109

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
Unpack nam-1.14.<arch>.tar.gz, and copy 'nam' to /usr/local/bin/ .
.
i can't find /usr/local.
There are various bin directories.

Also plz tell how to start a new thread in this discussion, as i m new to it.
Thanks.
 
Old 04-16-2012, 09:05 AM   #14
fabe856
Member
 
Registered: Apr 2012
Posts: 109

Original Poster
Rep: Reputation: Disabled
Thank you nam is now working.
ns-2.31 is installed.

Regards with special thanks to Kundfl

Fabe
 
Old 05-12-2012, 07:03 AM   #15
Khaled ELmishad
LQ Newbie
 
Registered: May 2012
Posts: 10

Rep: Reputation: Disabled
solved make problem

To make depend
Be sure:
1.You copied crcn files into your ns-allinone-2.31/ns-2.31 directory first.
2.Copied 4 lines to Makefile
3.Then, start make clean, make depend and make
Good Luck
 
  


Reply

Tags
crcn, ns2


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Ok I,m having problems with Make Depend and pkg-config spiky0011 Linux From Scratch 7 12-12-2011 12:36 PM
can network speed depend on installation? RudraB Linux - Networking 4 07-28-2011 03:02 AM
Makefile and make depend Meaculpa Programming 4 03-06-2009 11:24 AM
WineX Make Depend Errors Gryphix Linux - Games 4 09-25-2004 04:36 PM
Error in Make Depend while CVS install of WineX calmlikeabomb Mandriva 1 04-28-2004 05:46 PM


All times are GMT -5. The time now is 07:00 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration